/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>
#include <sys/time.h>
#include <sys/types.h>
#include <glib.h>

#include "file_type.h"
#include "file_utils.h"

typedef struct _FileTypeData
{
    gchar  *ext;
    gint    type;
    gchar  *description;
}
FileTypeData;

FileTypeData file_type[] = {
    {"jpg", FILETYPE_IMAGE, "JPEG"},
    {"jpe", FILETYPE_IMAGE, "JPEG"},
    {"jpeg", FILETYPE_IMAGE, "JPEG"},
    {"png", FILETYPE_IMAGE, "PNG"},
#ifdef ENABLE_XINE
    {"mpg", FILETYPE_VIDEO, "MPEG"},
    {"mpeg", FILETYPE_VIDEO, "MPEG"},
    {"m2v", FILETYPE_VIDEO, "MPEG"},
    {"vob", FILETYPE_VIDEO, "MPEG"},
    {"avi", FILETYPE_VIDEO, "AVI"},
    {"asf", FILETYPE_VIDEO, "ASF"},
    {"wmv", FILETYPE_VIDEO, "WMV"},
    {"qt", FILETYPE_VIDEO, "QuickTime"},
    {"mov", FILETYPE_VIDEO, "QuickTime"},
#endif
    {NULL, 0, NULL}
};

FileType
file_type_check (gchar * file)
{
    gint    i;

    for (i = 0; file_type[i].ext; i++)
    {
	if (!strcasecmp (extension (file), file_type[i].ext))
	    return file_type[i].type;
    }

    return FILETYPE_UNKNOWN;
}

gboolean
file_type_is_jpeg (gchar * file)
{
    gint    i;

    for (i = 0; file_type[i].ext; i++)
    {
	if (!strcasecmp (extension (file), file_type[i].ext))
	{
	    if (!strcasecmp (file_type[i].description, "JPEG"))
		return TRUE;
	}
    }

    return FALSE;
}
