/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __FILE_UTILS_H__
#define __FILE_UTILS_H__

gchar          *home_dir (void);
gboolean        isname (const gchar * s);
gboolean        isfile (const gchar * path);
gboolean        isdir (const gchar * path);
gboolean        islink (const gchar * path);
gboolean        iswritable (const gchar * path);
gboolean        isempty (const gchar * path);
time_t          filetime (const gchar * path);
gint            filesize (const gchar * path);
gchar          *extension (const gchar * path);
gboolean        extension_truncate (gchar * path, const gchar * ext);
gchar          *extension_find_dot (gchar * path);
const gchar    *extension_from_path (const gchar * path);
gchar          *remove_extension_from_path (const gchar * path);
gboolean        makedir (const gchar * path);
gboolean        copy_file_attributes (const gchar * s, const gchar * t);
gboolean        copy_file (const gchar * s, const gchar * t);
gboolean        move_file (const gchar * s, const gchar * t);
gboolean        path_list (const gchar * path, GList ** files, GList ** dirs);
void            path_list_free (GList * list);
gchar          *unique_filename (const gchar * path, const gchar * ext,
				 const gchar * divider, gint pad);
gchar          *unique_filename_simple (const gchar * path);
const gchar    *filename_from_path (const gchar * path);
gchar          *remove_level_from_path (const gchar * path);
gchar          *concat_dir_and_file (const gchar * base, const gchar * name);
gchar          *size2str (size_t size, int space);
gchar          *time2str (time_t time);
gchar          *uid2str (uid_t uid);
gchar          *gid2str (gid_t gid);
gchar          *mode2str (mode_t mode);

#endif /* __FILE_UTILS_H__ */
