/*
 * Copyright (c) 2002 - trem0r
 * This file is part of the PornView - photo collection manager.
 */

#ifndef __IMAGE_WIN_H__
#define __IMAGE_WIN_H__

#include "image_loader.h"

typedef struct _ImageWindow ImageWindow;

struct _ImageWindow
{
/* use this to add it and show it */
    GtkWidget      *widget;
    GtkWidget      *eventbox;
    GtkWidget      *image;
    GdkPixmap      *pixmap;
    GdkBitmap      *mask;

/* image actual dimensions (pixels) */
    gint            image_width;
    gint            image_height;
    GdkPixbuf      *pixbuf;

/* allocated size of window (drawing area) */
    gint            window_width;
    gint            window_height;

/* size of scaled image (result) */
    gint            width;
    gint            height;

    gboolean        has_frame;
    ImageLoader    *il;
};

ImageWindow    *image_new (gboolean frame);
void            image_set_path (ImageWindow * iw, const gchar * path);

#endif /* __IMAGE_WIN_H__ */
